Page MenuHomePhabricator

[Story] Meaningful ranking for the selectable units
Closed, InvalidPublic

Description

Story: When I enter a new statement with a quantity with a unit I want the selectable units to be ranked meaningfully so it is easier to find and select the desired unit.

Alternative story (proposed by @Jan_Dittrich): When I enter a quantity, I want the selectable unit to be a meaningful match with the statement. E.g. if the statement is "height", I like to have units of distances.

Units should be ranked according to how often they are used as units across Wikidata.

This is the first step and could be good enough for a good user experience.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
OpenNone
InvalidNone
InvalidNone

Event Timeline

Jonas raised the priority of this task from to Normal.
Jonas updated the task description. (Show Details)
Jonas added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 1:23 PM

However some units are not often used and then may be difficult to find.

Nikki added a subscriber: Nikki.May 7 2016, 3:01 PM

Is this suggesting that the search results should be ordered by how commonly used the units are, or is it suggesting that there should be a "unit suggester" like the property suggester which suggests the most common units for that property without having to search? The latter sounds like it would be really nice.

@Nikki: Good point. I think in the end we should make it dependent on the property. But it might be easier to first do it independent of the property?

Nikki added a comment.May 8 2016, 8:57 PM

For a unit suggester, I think doing that independent of the property wouldn't produce very good results and aiming straight for per-property would be better even if it takes longer. Doing it independent of the property sounds like every property would get a weird mixture of units - some properties might get a couple of units in the results which are suitable (but it would still be fairly meh, since the list would be mostly unsuitable units), other properties wouldn't have any useful units there at all.

For search results, boosting the ranking of items which are used fairly often as units seems like it could work quite well independent of the property because it would presumably only affect things which already match your search terms (e.g. if I enter "km", the most likely thing I'm looking for is kilometre even if kilometre hasn't been used for that property yet... it's certainly a more likely option than Comoros, which is the current top result).

Ok. Thanks for clarifying.

Jan_Dittrich updated the task description. (Show Details)Jul 13 2017, 8:01 AM
Jc3s5h added a subscriber: Jc3s5h.Jul 13 2017, 3:21 PM

Is there a plan of how to proceed with this? @Charlie_WMDE noted problems with suggestions as user feedback at WikidataCon 2017; it also would tie into the AB testing the new backend, which currently is not done as far as I am concerned.

This did indeed come up as a big pain point from the community.

I remembered that we had already mentioned this a while a go and had made a ticket T112075 and there was also already some discussion on it. I think they could probably be merged and I'm wondering what the next steps should be to get this on the road.

Restricted Application added a project: Design. · View Herald TranscriptNov 14 2017, 3:52 PM

This is only blocked on having more developer time.

Jonas closed this task as Invalid.Feb 28 2018, 8:50 AM